> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.uniledger.cc/api-reference/eilith-public-rest-api/stock/adjust-stock/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.uniledger.cc/_mcp/server. # Create a stock adjustment transaction POST https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/stock/adjust Content-Type: application/json Reference: https://docs.uniledger.cc/api-reference/eilith-public-rest-api/stock/adjust-stock ## Authentication - `Authorization` header (bearer token, required) — API key prefixed with uk_live_ ## Servers - `https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api` (Production, default) - `https://pmjidplmzxohyqsbajvg.supabase.co/functions/v1/platform-api` (Staging) ## Request ### Body (application/json) This endpoint expects an object. - `inventory_item_id` (string, required) - `location_id` (string, required) - `quantity` (double, required) — Positive to add, negative to subtract - `uom` (string, optional, default: ea) - `unit_cost` (double, optional, default: 0) - `notes` (string, optional, default: API stock adjustment) ## Response ### 201 Adjustment created - `data` (StockAdjustPostResponsesContentApplicationJsonSchemaData, optional) ## Errors ### 400 Bad Request Error Validation error - `any` ## Types ### StockAdjustPostResponsesContentApplicationJsonSchemaData - `transaction_id` (string, optional) ## Examples **Request** ```json { "inventory_item_id": "string", "location_id": "string", "quantity": 1.1 } ``` **Response** ```json { "data": { "transaction_id": "string" } } ``` **SDK Code** ```python import requests url = "https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/stock/adjust" payload = { "inventory_item_id": "string", "location_id": "string", "quantity": 1.1 } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/stock/adjust'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"inventory_item_id":"string","location_id":"string","quantity":1.1}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/stock/adjust" payload := strings.NewReader("{\n \"inventory_item_id\": \"string\",\n \"location_id\": \"string\",\n \"quantity\": 1.1\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/stock/adjust") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"inventory_item_id\": \"string\",\n \"location_id\": \"string\",\n \"quantity\": 1.1\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/stock/adjust") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"inventory_item_id\": \"string\",\n \"location_id\": \"string\",\n \"quantity\": 1.1\n}") .asString(); ``` ```php request('POST', 'https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/stock/adjust', [ 'body' => '{ "inventory_item_id": "string", "location_id": "string", "quantity": 1.1 }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/stock/adjust"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"inventory_item_id\": \"string\",\n \"location_id\": \"string\",\n \"quantity\": 1.1\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "inventory_item_id": "string", "location_id": "string", "quantity": 1.1 ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/stock/adjust")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```